# Ajax.js

Summary

Ajax.js |
Functions |
OpenLayers.loadURL | Background load a document.
OpenLayers.Ajax |
OpenLayers.Ajax.Responders | {Object}
OpenLayers.Ajax.Base |
Constructor |
OpenLayers.Ajax.Base |
OpenLayers.Ajax.Request | Deprecated.
Constructor |
OpenLayers.Ajax.Request |
OpenLayers.Ajax.Response |
Constructor |
OpenLayers.Ajax.Response |

### Functions

### OpenLayers.loadURL

> OpenLayers.loadURL = function( | uri,
> | params,
> | caller,
> | onComplete,
> | onFailure | )

Background load a document. Deprecated. Use OpenLayers.Request.GET method instead.

#### Parameters

uri | {String} URI of source doc
params | {String} or {Object} GET params. Either a string in the form “?hello=world&foo=bar” (do not forget the leading question mark) or an object in the form {‘hello’: ‘world’, ‘foo’: ‘bar}
caller | {Object} object which gets callbacks
onComplete | {Function} Optional callback for success. The callback will be called with this set to caller and will receive the request object as an argument. Note that if you do not specify an onComplete function, <OpenLayers.nullHandler> will be called (which pops up a user friendly error message dialog).
onFailure | {Function} Optional callback for failure. In the event of a failure, the callback will be called with this set to caller and will receive the request object as an argument. Note that if you do not specify an onComplete function, <OpenLayers.nullHandler> will be called (which pops up a user friendly error message dialog).

#### Returns

{OpenLayers.Request.XMLHttpRequest} The request object. To abort loading, call request.abort().

## OpenLayers.Ajax

## OpenLayers.Ajax.Responders

{Object}

## OpenLayers.Ajax.Base

Summary

Constructor |
OpenLayers.Ajax.Base |

### Constructor

### OpenLayers.Ajax.Base

#### Parameters

options | {Object}

## OpenLayers.Ajax.Request

Deprecated. Use OpenLayers.Request method instead.

#### Inherit

- OpenLayers.Ajax.Base

Summary

Constructor |
OpenLayers.Ajax.Request |

### Constructor

### OpenLayers.Ajax.Request

#### Parameters

url | {String}
options | {Object}

## OpenLayers.Ajax.Response

Summary

Constructor |
OpenLayers.Ajax.Response |

### Constructor

### OpenLayers.Ajax.Response

#### Parameters

request | {Object}

> OpenLayers.loadURL = function( | uri,
> | params,
> | caller,
> | onComplete,
> | onFailure | )

Background load a document.

> GET: function( | config | )

Send an HTTP GET request.
Standard-compliant (W3C) cross-browser implementation of the XMLHttpRequest object.
The OpenLayers.Request namespace contains convenience methods for working with XMLHttpRequests.
Close